;;;;
;;;; AspectL - Copyright (c) 2003, 2004 Pascal Costanza.
;;;; License: See http://creativecommons.org/licenses/by/2.0/
;;;;

;;; System definition for LispWorks

(in-package #:cl-user)

(defsystem aspectl ()
  :members ("al-packages" "al-clos-mop" "al-pointcuts" "al-mixins" "al-dynascope"
                          "al-special-class" "al-special-function")
  :rules ((:in-order-to :compile
           ("al-clos-mop" "al-pointcuts" "al-mixins" "al-dynascope"
                          "al-special-class" "al-special-function")
           (:requires (:load "al-packages")))
          (:in-order-to :compile ("al-pointcuts")
           (:requires (:load "al-clos-mop")))
          (:in-order-to :compile ("al-mixins")
           (:requires (:load "al-clos-mop" "al-pointcuts")))
          (:in-order-to :compile ("al-special-class")
           (:requires (:load "al-mixins")))
          (:in-order-to :compile ("al-special-class" "al-special-function")
           (:requires (:load "al-clos-mop" "al-dynascope")))))
